defmodule MPL3115A2.Registers do
  use Wafer.Registers

  @moduledoc """
  This module provides a wrapper around the MPL3115A2 registers
  described in Freescale's data sheet.
  """

  defregister(:status, 0x00, :ro, 1)
  defregister(:out_p_msb, 0x01, :ro, 1)
  defregister(:out_p_csb, 0x02, :ro, 1)
  defregister(:out_p_lsb, 0x03, :ro, 1)
  defregister(:out_t_msb, 0x04, :ro, 1)
  defregister(:out_t_lsb, 0x05, :ro, 1)
  defregister(:dr_status, 0x06, :ro, 1)
  defregister(:out_p_delta_msb, 0x07, :ro, 1)
  defregister(:out_p_delta_csb, 0x08, :ro, 1)
  defregister(:out_p_delta_lsb, 0x09, :ro, 1)
  defregister(:out_t_delta_msb, 0x0A, :ro, 1)
  defregister(:out_t_delta_lsb, 0x0B, :ro, 1)
  defregister(:who_am_i, 0x0C, :ro, 1)
  defregister(:f_status, 0x0D, :ro, 1)
  defregister(:f_data, 0x0E, :ro, 1)
  defregister(:f_setup, 0x0F, :rw, 1)
  defregister(:time_dly, 0x10, :ro, 1)
  defregister(:sysmod, 0x11, :ro, 1)
  defregister(:int_source, 0x12, :ro, 1)
  defregister(:pt_data_cfg, 0x13, :rw, 1)
  defregister(:bar_in_msb, 0x14, :rw, 1)
  defregister(:bar_in_lsb, 0x15, :rw, 1)
  defregister(:p_tgt_msb, 0x16, :rw, 1)
  defregister(:p_tgt_lsb, 0x17, :rw, 1)
  defregister(:t_tgt, 0x18, :rw, 1)
  defregister(:p_wnd_msb, 0x19, :rw, 1)
  defregister(:p_wnd_lsb, 0x1A, :rw, 1)
  defregister(:t_wnd, 0x1B, :rw, 1)
  defregister(:p_min_msb, 0x1C, :rw, 1)
  defregister(:p_min_csb, 0x1D, :rw, 1)
  defregister(:p_min_lsb, 0x1E, :rw, 1)
  defregister(:t_min_msb, 0x1F, :rw, 1)
  defregister(:t_min_lsb, 0x20, :rw, 1)
  defregister(:p_max_msb, 0x21, :rw, 1)
  defregister(:p_max_csb, 0x22, :rw, 1)
  defregister(:p_max_lsb, 0x23, :rw, 1)
  defregister(:t_max_msb, 0x24, :rw, 1)
  defregister(:t_max_lsb, 0x25, :rw, 1)
  defregister(:ctrl_reg1, 0x26, :rw, 1)
  defregister(:ctrl_reg2, 0x27, :rw, 1)
  defregister(:ctrl_reg3, 0x28, :rw, 1)
  defregister(:ctrl_reg4, 0x29, :rw, 1)
  defregister(:ctrl_reg5, 0x2A, :rw, 1)
  defregister(:off_p, 0x2B, :rw, 1)
  defregister(:off_t, 0x2C, :rw, 1)
  defregister(:off_h, 0x2D, :rw, 1)
end
